/* pgmtorib.c - read a portable graymap and write a RIB PatchMesh
**
** Copyright (C) 1996 by Florian Hars, based on code
** Copyright (C) 1991 by Jef Poskanzer.
**
** Permission to use, copy, modify, and distribute this software and its
** documentation for any purpose and without fee is hereby granted, provided
** that the above copyright notice appear in all copies and that both that
** copyright notice and this permission notice appear in supporting
** documentation.  This software is provided "as is" without express or
** implied warranty.
*/

#include <pgm.h>
#include <ri.h>
int
main( argc, argv )
int argc;
char* argv[];
    {
    FILE* ifp;
    gray** grays;
    int argn, rows, cols, ret;
    gray maxval;
    char* usage = "[pgmfile]";


    pgm_init( &argc, argv );

    argn = 1;

    if ( argn < argc )
	{
	ifp = pm_openr( argv[argn] );
	++argn;
	}
    else
	{
	ifp = stdin;
	}

    if ( argn != argc )
	pm_usage( usage );

    grays = pgm_readpgm( ifp, &cols, &rows, &maxval );
    pm_close( ifp );
    RiBegin(RI_NULL);
    ret = parsepgm(grays, cols, rows, maxval);
    RiEnd();
    pgm_freearray(grays, rows);

    exit( ret );
    }


